<!DOCTYPE HTML>
<html>
    <head>
        <title>Activity: CSS Introduction</title>

        <!-- Internal Styling -->
        <style>
            #orange {
                color: orange;
            }
        </style>   

        <!-- External Styling -->
        <link rel="stylesheet" href="./index.css">
    </head>
    <body>

        <!-- Different ways to include CSS -->

        <!-- Inline styling -->
        <p style="color: red;">Apply inline styling here.</p>

        <!-- Internal Styling -->
        <p id="orange">Apply internal styling here.</p>

        <!-- External Styling -->
        <p id="blue">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <!-- Type Selector -->
        <h1>CSS Introduction Activity</h1>

        <!-- ID selector -->
        <h2 id="uppercase">The following are things you will learn in this bootcamp:</h2>

        <!-- Class selector -->
        <h3>Languages to be Learned</h3>
        <ol>
            <li class="color-green">Hypertext Markup Language</li>
            <li class="color-green">Cascading Style Sheet</li>
            <li class="color-green">JavaScript</li>
        </ol>

        <!-- Attribute selector -->
        <h3>Tools to be Used</h3>
        <ol>
            <li style="">Sublime Text</li>
            <li style="">Postman</li>
            <li style="">Heroku</li>
            <li style="">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <!-- Descendant selector -->
            <div id="image">
                <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">  
            </div>

            <!-- Adjacent sibling selector -->
            <ul>
                <!-- Child selector -->
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            
            <!-- Generic sibling selector -->
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>
